<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Ejercicio_21</title>
</head>
<body>
    <h1>Ejercicio 21</h1>
    <script>
    /*21) Programa una función que dado un array numérico devuelve otro array
     con los números elevados al cuadrado, pe. mi_funcion([1, 4, 5]) 
     devolverá [1, 16, 25].*/

    const elevarCuadrado = (numeros = undefined) => {

        if (numeros === undefined) return console.warn("No se ingreso un Arreglo de números");
        if (!(numeros instanceof Array)) 
           return console.warn(`No es Arreglo`);
        if (numeros.length === 0) return console.warn("El arreglo esta vacio");

        for (let num of numeros) {
            if (typeof num !== "number")
            return console.error(`El valor ingresado ${num}, No es un numero`);
        }

        let cuadrados = numeros.map(el => el * el);
        return console.log(`Los numeros elevados al cuadrado: ${cuadrados}`) 
    }

    elevarCuadrado([1,4,5]);
    elevarCuadrado({});
    elevarCuadrado();
    elevarCuadrado([]);
    elevarCuadrado([1,"3",4,5]);

    </script>
    
</body>
</html>